<?php
class PlayLogAction extends CommonAction{
    
    //管理
	public function index(){
		$op = I('op');
        $userInfo = $_SESSION["_USER_INFO"];
		if($op=="getjson"){
			$model = D("PlayLog");
			$inputs = I();
			$list = $model->getList("list",$userInfo,$inputs);
			$count = $model->getList("count",$userInfo,$inputs);
			$total = $count[0]["count"];
			echo "{\"total\":\"".$total."\",\"rows\":".json_encode($list)."}";
		}else{
            $spModel = D("Sp");
            $hotelModel = D("Hotel");
            if($userInfo['sp_ids']){
                $sp_lists = $spModel->field("id,`name`")->where("`status`=0 and id in(".$userInfo['sp_ids'].")")->select();
                $hotel_lists = $hotelModel->field("id,`name`,sp_id")->where("`status`=0 and sp_id in(".$userInfo['sp_ids'].")")->select();
            }else{
                $sp_lists = $spModel->field("id,`name`")->where("`status`=0")->select();
                $hotel_lists = $hotelModel->field("id,`name`,sp_id")->where("`status`=0")->select();
            }
            $this->sp_lists = $sp_lists;
            $this->hotel_lists = $hotel_lists;
			$this->display();
		}
	}
    
    //添加
	public function add(){
		$userInfo = $_SESSION["_USER_INFO"];
		$id = I('id','',int)?I('id','',int):0;

        $model = D("PlayLog");
        $spModel = D("PlayLog");
        $confTypeModel = D("ConfType");
        $regionModel = D("Region");
        
		if($id){
			$info =$model->where("id = $id")->find();
            $this->info = $info;
		}
        $conf_type_lists = $confTypeModel->join(" A left join sh_sp_config B on A.`code` = B.type_code and B.sp_id = $id ")->field("A.id,A.`name`,A.remark,A.`code`,A.`v` default_v,B.`v`")->select();
        $region_lists = $regionModel->where("pid = 1 and `status`=0")->select();
        $region_city_lists = $regionModel->where("pid > 1 and `status`=0")->select();
        $this->code = GetfourStr(8);
        $this->conf_type_lists = $conf_type_lists;
        $this->region_lists = $region_lists;
        $this->region_city_lists = $region_city_lists;
		$this->display();
	}
    //添加处理
	public function addHandle(){
		$model = D("PlayLog");
        $confModel = D("Conf");
		$id = I('id','',int);
        
        $data['name'] = I("name");
        $data['code'] = I("code");
        $data['email'] = I("email");
        $data['mobile'] = I("mobile");
        $data['remark'] = I("remark");
        $data['status'] = I("status");
        $data['push_type'] = I("push_type");
        $conf = $_POST['conf'];
		if($id){
            $data['id'] = $id;
			$data["updatetime"]=date('Y-m-d H:i:s');
            $r = $model->save($data);
            
            if($conf){
                $confData = array();
                $confModel->where("sp_id = $id")->delete();
                foreach($conf as $key => $value){
                    $confData[] = array("sp_id"=>$id,"type_code"=>$key,"name"=>key($value),"v"=>$value[key($value)],"addtime"=>date('Y-m-d H:i:s'));
                }
                $confModel->addAll($confData);
            }
            
			if($r){
				echo 'true';
			}else{
				echo 'false';
			}
		}else{
			$data["addtime"]=date('Y-m-d H:i:s');
			
			$id = $model->add($data);
            
            if($conf){
                $confData = array();
                foreach($conf as $key => $value){
                    $confData[] = array("sp_id"=>$id,"type_code"=>$key,"name"=>$data['name'].key($value),"v"=>$value[key($value)],"addtime"=>date('Y-m-d H:i:s'));
                }
                $confModel->addAll($confData);
            }
			if($id){
                echo 'true';
			}else{
				echo 'false';
			}
		}
	}
    
    //删除处理
	public function deleteHandle(){
		if(D("Sp")->where("id=".I("id","",int))->delete()){
			echo 'true';
		}else{
			echo 'false';
		}
	}
    
    //ajax修改状态
	public function updateStatusAjaxHandle(){
        $model = D("PlayLog");
        $data = $_POST;
        $data['updatetime'] = date('Y-m-d H:i:s');
        if($model->save($data)){
            echo 'true';
        }else{
            echo 'false';
        }
	}
}
