<?php
class InjectAction extends CommonAction{
    
    //管理
	public function index(){
		$op = I('op');
		if($op=="getjson"){
			$model = D("Inject");
			$userInfo = $_SESSION["_USER_INFO"];
			$inputs = I();
			$list = $model->getList("list",$userInfo,$inputs);
			$count = $model->getList("count",$userInfo,$inputs);
			$total = $count[0]["count"];
			echo "{\"total\":\"".$total."\",\"rows\":".json_encode($list)."}";
		}else{
			$this->display();
		}
	}
    
    //媒资注入列表
	public function lists(){
		$op = I('op');
        $id = I('id','',int);
        $userInfo = $_SESSION["_USER_INFO"];
		if($op=="getjson"){
			$model = D("InjectLog");
			$inputs = I();
			$list = $model->getList("list",$userInfo,$inputs);
			$count = $model->getList("count",$userInfo,$inputs);
			$total = $count[0]["count"];
			echo "{\"total\":\"".$total."\",\"rows\":".json_encode($list)."}";
		}else{
            $hotelModel = D("Hotel");
            $spModel = D("Sp");
            if($userInfo['sp_ids']){
                $sp_lists = $spModel->where("`status`=0 and id in(".$userInfo['sp_ids'].")")->select();
                $hotel_lists = $hotelModel->where("`status`=0 and sp_id in(".$userInfo['sp_ids'].")")->select();
            }else{
                $sp_lists = $spModel->where("`status`=0")->select();
                $hotel_lists = $hotelModel->where("`status`=0")->select();
            }
            $this->id = $id;
            $this->hotel_lists = $hotel_lists;
            $this->sp_lists = $sp_lists;
			$this->display();
		}
	}
    
    //添加
	public function add(){
		$userInfo = $_SESSION["_USER_INFO"];
		$id = I('id','',int)?I('id','',int):0;
        
        $model = D("Inject");
        $spModel = D("Sp");
        $mediaModel = D("Media");
        $hotelModel = D("Hotel");
        $spPlaylistModel = D("SpPlaylist");
        
		if($id){
			$info =$model->where("id = $id")->find();
            $this->info = $info;
		}
        $media_lists = $mediaModel->field("id,title")->select();
        if($userInfo['sp_ids']){
            $sp_lists = $spModel->field("id,`name`")->where("`status`=0 and id in(".$userInfo['sp_ids'].")")->select();
            $hotel_lists = $hotelModel->field("id,`name`,sp_id")->where("`status`=0 and sp_id in(".$userInfo['sp_ids'].")")->select();
            $play_lists = $spPlaylistModel->join(" A join sh_sp_playlist_media_map B on A.id = B.playlist_id ")->field("A.id,A.`name`,A.sp_id,group_concat(B.media_id) media_ids")->where("A.sp_id in(".$userInfo['sp_ids'].")")->group("A.id")->select();
        }else{
            $sp_lists = $spModel->field("id,`name`")->where("`status`=0")->select();
            $hotel_lists = $hotelModel->field("id,`name`,sp_id")->where("`status`=0")->select();
            $play_lists = $spPlaylistModel->join(" A join sh_sp_playlist_media_map B on A.id = B.playlist_id ")->field("A.id,A.`name`,A.sp_id,group_concat(B.media_id) media_ids")->group("A.id")->select();
        }
        
        $this->hotel_lists = $hotel_lists;
        $this->sp_lists = $sp_lists;
        $this->media_lists_json = json_encode($media_lists);
        $this->hotel_lists_json = json_encode($hotel_lists);
        $this->play_lists = $play_lists;
        
		$this->display();
	}
    //添加处理
	public function addHandle(){
        //sh_hotel_media_map_1、sh_task_inject、sh_task_inject_log
		$model = D("Inject");
        $injectLogModel = D("InjectLog");
		$id = I('id','',int);
        
        $hotel_lists = I("post.hotel_lists");
        $media_lists = I("post.media_lists");
        
		if($id){
            $data['id'] = $id;
			$data["updatetime"]=date('Y-m-d H:i:s');
            $r = $model->save($data);
			if($r){
				echo 'true';
			}else{
				echo 'false';
			}
		}else{
            $taskData['name'] = I("name");
            $taskData['addtime'] = date('Y-m-d H:i:s');
            $taskData['remark'] = I("remark");
            $task_id = $model->add($taskData);
            
            if($task_id){
                
                foreach($hotel_lists as $key => $value){
                    list($hotel_id,$sp_id) = explode("-",$value);
                    $logDataLists = array();
                    
                    foreach($media_lists as $k => $v){
                        $logData = array();
                        $mapData = array();
                        
                        $isExists = M("Map_$sp_id","sh_hotel_media_")->field("id")->where("media_id = $v and hotel_id= $hotel_id")->find();
                        if($isExists){
                            continue;
                        }
                        $logData['task_id'] = $task_id;
                        $logData['media_id'] = $v;
                        $logData['hotel_id'] = $hotel_id;
                        $logData['sp_id'] = $sp_id;
                        $logData['status'] = 1;
                        
                        $mapData['media_id'] = $v;
                        $mapData['hotel_id'] = $hotel_id;
                        $mapData['addtime'] = date('Y-m-d H:i:s');
                        
                        M("Map_$sp_id","sh_hotel_media_")->add($mapData);
                        
                        if($logData){
                            $logDataLists[] = $logData;
                        }
                    }
                    if($logDataLists){
                        $log_r = $injectLogModel->addAll($logDataLists);
                    }
                }
                
            }
			
			if($task_id){
                echo 'true';
			}else{
				echo 'false';
			}
		}
	}
    
    //删除处理
	public function deleteHandle(){
		if(D("Inject")->where("id=".I("id","",int))->delete()){
			echo 'true';
		}else{
			echo 'false';
		}
	}
    
    //ajax修改状态
	public function updateStatusAjaxHandle(){
        $model = D("Inject");
        $data = $_POST;
        $data['updatetime'] = date('Y-m-d H:i:s');
        if($model->save($data)){
            echo 'true';
        }else{
            echo 'false';
        }
	}
}
