<?php
class PushLogAction extends CommonAction{
    
    //管理
	public function index(){
		$op = I('op');
        $userInfo = $_SESSION["_USER_INFO"];
		if($op=="getjson"){
			$model = D("PushLog");
			$inputs = I();
			$list = $model->getList("list",$userInfo,$inputs);
			$count = $model->getList("count",$userInfo,$inputs);
			$total = $count[0]["count"];
			echo "{\"total\":\"".$total."\",\"rows\":".json_encode($list)."}";
		}else{
            $spModel = D("Sp");
            $hotelModel = D("Hotel");
            if($userInfo['sp_ids']){
                $sp_lists = $spModel->field("id,`name`")->where("`status`=0 and id in(".$userInfo['sp_ids'].")")->select();
                $hotel_lists = $hotelModel->field("id,`name`,sp_id")->where("`status`=0 and sp_id in(".$userInfo['sp_ids'].")")->select();
            }else{
                $sp_lists = $spModel->field("id,`name`")->where("`status`=0")->select();
                $hotel_lists = $hotelModel->field("id,`name`,sp_id")->where("`status`=0")->select();
            }
            $this->sp_lists = $sp_lists;
			$this->display();
		}
	}
    
    //添加
	public function add(){
		$userInfo = $_SESSION["_USER_INFO"];
		$id = I('id','',int)?I('id','',int):0;
        
        $model = D("PushLog");
        
		if($id){
			$info =$model->where("id = $id")->find();
            $this->info = $info;
		}
		$this->display();
	}
    //添加处理
	public function addHandle(){
		$model = D("PushLog");
		$id = I('id','',int);
        
        $data['name'] = I("name");
        $data['code'] = I("code");
        $data['remark'] = I("remark");
        $data['status'] = I("status");
        $data['v'] = I("v");
        
		if($id){
            $data['id'] = $id;
			$data["updatetime"]=date('Y-m-d H:i:s');
            $r = $model->save($data);
			if($r){
				echo 'true';
			}else{
				echo 'false';
			}
		}else{
			$data["addtime"]=date('Y-m-d H:i:s');
			
			$id = $model->add($data);
			if($id){
                echo 'true';
			}else{
				echo 'false';
			}
		}
	}
    
    //删除处理
	public function deleteHandle(){
		if(D("ConfType")->where("id=".I("id","",int))->delete()){
			echo 'true';
		}else{
			echo 'false';
		}
	}
    
    //ajax修改状态
	public function updateStatusAjaxHandle(){
        $model = D("PushLog");
        $data = $_POST;
        $data['updatetime'] = date('Y-m-d H:i:s');
        if($model->save($data)){
            echo 'true';
        }else{
            echo 'false';
        }
	}
}
