<?php
class HotelAction extends CommonAction{
    
    //管理
	public function index(){
		$op = I('op');
        $userInfo = $_SESSION["_USER_INFO"];
		if($op=="getjson"){
			$model = D("HotelMediaMap");
			$inputs = I();
			$list = $model->getList("list",$userInfo,$inputs);
			$count = $model->getList("count",$userInfo,$inputs);
			$total = $count[0]["count"];
			echo "{\"total\":\"".$total."\",\"rows\":".json_encode($list)."}";
		}else{
            $spModel = D("Sp");
            $hotelModel = D("Hotel");
            if($userInfo['sp_ids']){
                $sp_lists = $spModel->field("id,`name`")->where("`status`=0 and id in(".$userInfo['sp_ids'].")")->select();
                $hotel_lists = $hotelModel->field("id,`name`,sp_id")->where("`status`=0 and sp_id in(".$userInfo['sp_ids'].")")->select();
            }else{
                $sp_lists = $spModel->field("id,`name`")->where("`status`=0")->select();
                $hotel_lists = $hotelModel->field("id,`name`,sp_id")->where("`status`=0")->select();
            }
            $this->sp_lists = $sp_lists;
            $this->hotel_lists = $hotel_lists;
			$this->display();
		}
	}
    
    //添加
	public function add(){
		$userInfo = $_SESSION["_USER_INFO"];
		$id = I('id','',int)?I('id','',int):0;
        
        $model = D("HotelMediaMap");
        $spModel = D("Sp");
        $regionModel = D("Region");
        
		if($id){
			$info =$model->where("id = $id")->find();
            $this->info = $info;
		}
        $sp_lists = $spModel->where("`status`=0")->select();
        $region_lists = $regionModel->where("pid = 1 and level = 2 and `status`=0")->select();
        $region_city_lists = $regionModel->where("pid > 1 and level = 3 and `status`=0")->select();
        $this->sp_lists = $sp_lists;
        $this->region_lists = $region_lists;
        $this->region_city_lists = $region_city_lists;
		$this->display();
	}
    //添加处理
	public function addHandle(){
		$model = D("HotelMediaMap");
		$id = I('id','',int);
        
        $data['sp_id'] = I("sp_id");
        $data['region_id'] = I("region_id");
        $data['name'] = I("name");
        $data['code'] = I("code");
        $data['remark'] = I("remark");
        $data['status'] = I("status");
        
		if($id){
            $data['id'] = $id;
			$data["updatetime"]=date('Y-m-d H:i:s');
            $r = $model->save($data);
			if($r){
				echo 'true';
			}else{
				echo 'false';
			}
		}else{
			$data["addtime"]=date('Y-m-d H:i:s');
			
			$id = $model->add($data);
			if($id){
                echo 'true';
			}else{
				echo 'false';
			}
		}
	}
    
    //删除处理
	public function deleteHandle(){
		$model = D("HotelMediaMap");
        $data['id'] = I("id","",int);
        $data['status'] = 0;
        $data['updatetime'] = date('Y-m-d H:i:s');
        if($model->save($data)){
            echo 'true';
        }else{
            echo 'false';
        }
	}
    
    //ajax修改状态
	public function updateStatusAjaxHandle(){
        $model = D("HotelMediaMap");
        $data = $_POST;
        $searchSp = $data['searchSp'];
        unset($data['searchSp']);
        $data['updatetime'] = date('Y-m-d H:i:s');
        if($model->table("sh_hotel_media_map_$searchSp")->save($data)){
            echo 'true';
        }else{
            echo 'false';
        }
	}
}
